Loading...
Searching...
No Matches
ZConeCompareDimensionFirst Struct Reference

`#include <tropicalVarietyOfPolynomials.h>`

## Public Member Functions

bool | operator() (const gfan::ZCone &zc, const gfan::ZCone &zd) const

## Detailed Description

Definition at line 14 of file tropicalVarietyOfPolynomials.h.

## Member Function Documentation

## operator()()

bool ZConeCompareDimensionFirst::operator() | ( | const gfan::ZCone & | zc,
|  | const gfan::ZCone & | zd ) const

inline

Definition at line 16 of file tropicalVarietyOfPolynomials.h.

{
int n = zc.dimension();
int m = zd.dimension();
if (n==m)
return zc<zd;
else
return n>m;
}
m
int m
Definition cfEzgcd.cc:128

The documentation for this struct was generated from the following file:

- Singular/dyn_modules/gfanlib/tropicalVarietyOfPolynomials.h